Subject: RE: [Sip] Application identification with callee caps/caller preferences

From: "Roy, Radhika R, ALABS" <[email-masked]>
Date: Tue, 27 Apr 2004 13:07:09 -0400

Is not that game will be a kind of "shared application" consisting of
audio synchronized with graphics? If so, SDP itself may also provide an
opportunity for negotiations.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Paul
Kyzivat
Sent: Tuesday, April 27, 2004 11:51 AM
To: David Oran
Cc: [email-masked]; [email-masked]
Subject: Re: [Sip] Application identification with callee caps/caller
preferences

I think what is proposed is quite reasonable. Given that the game is 
defined by the type of media stream used to interact, the simplest 
approach is simply to send an INVITE to the AoR, offering the desired 
kind of media stream and not bothering with callerprefs at all. In that 
case the invite would be forked to all the callee's devices. Presumably 
those that couldn't handle the media type would refuse the call, and any

that so support it and are available might respond with a 180.

Using callerprefs here is possibly a slight optimization, especially in 
case the proxy were to try serial forking. And it is also insurance 
against devices that might accept the call while refusing the media.

This would be more important if you want two streams - one for the game 
and another for voice. If you simply offer both then you run a real risk

that an audio phone might accept the call and refuse the game stream.

Of course it is also possible to use separate addresses for the games. 
But that might be inconvenient, and limiting if the game console also 
does voice and/or video.

	Paul

David Oran wrote:
> This seems a bit of a stretch for callee caps. What bothers me is the 
> notion i that you want to play a game with somebody, and which game is

> determined by a preference matching scheme. I suppose there's nothing 
> horrible in that - it just strikes me as weird.
> 
> I would think that you would be more likely to choose the combination
of 
> participant+game through addressing, such as by having multiple 
> registrations of the form
> 
> sip:[email-masked] and sip:[email-masked]
> 
> This has the additional benefit of not requiring a registry for game
names.
> 
> Dave.
> 
> --On Tuesday, April 27, 2004 10:38 AM +0300 [email-masked] 
> wrote:
> 
>> Hi, I have a question on following scenario.
>>
>> The user Y has two games installed Chess (named x-chess) and Othello
>> (named x-othello). The caller X has the equivalent chess-game
(x-chess)
>> and would like to use SIP to invite Y for a game.  Is the following
>> approach correct according to the callee caps/caller preferences
specs?
>> Namely is it correct to use the 'type' media feature tag in this way.
In
>> practice here the 'type' tag identifies the application and on the
other
>> hand defines also the media capability of the UA (since the x-chess
in
>> this case might use whatever "gaming-protocol" as media stream).
>>
>> The callee Y would generate a registration which looks like, in part:
>>
>> For the Chess game:
>>
>> REGISTER sip:example.com SIP/2.0
>>    To: sip:[email-masked]
>>    Contact: sip:[email-masked]
>>      ;type="application/x-chess"
>>
>> For the Othello game:
>>
>> REGISTER sip:example.com SIP/2.0
>>    To: sip:[email-masked]
>>    Contact: sip:[email-masked]
>>      ;type="application/x-othello"
>>
>> Now when the caller X wants to play x-chess it would express its'
>> preference by generating an INVITE which looks like, in part:
>>
>> INVITE sip:[email-masked] SIP/2.0
>>    From: sip:[email-masked]
>>    To: sip:[email-masked]
>>    Accept-Contact: *;type="application/x-chess";require;explicit
>>
>>
>> Best Regards,
>> Jari
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments on the application of sip
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip